/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.adservices.ondevicepersonalization;


/**
 * The input for {@link android.adservices.ondevicepersonalization.FederatedComputeScheduler#schedule(android.adservices.ondevicepersonalization.FederatedComputeScheduleRequest,java.util.concurrent.Executor,android.os.OutcomeReceiver) FederatedComputeScheduler.schedule(FederatedComputeScheduleRequest,
 * java.util.concurrent.Executor, android.os.OutcomeReceiver)}.
 */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class FederatedComputeScheduleRequest {

/**
 * @param params This value cannot be {@code null}.

 * @param populationName This value cannot be {@code null}.
 */

public FederatedComputeScheduleRequest(@android.annotation.NonNull android.adservices.ondevicepersonalization.FederatedComputeScheduler.Params params, @android.annotation.NonNull java.lang.String populationName) { throw new RuntimeException("Stub!"); }

/**
 * {@inheritDoc}

 * @param o This value may be {@code null}.
 */

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

/**
 * Parameters related to job scheduling.
 * @return This value cannot be {@code null}.
 */

@android.annotation.NonNull
public android.adservices.ondevicepersonalization.FederatedComputeScheduler.Params getParams() { throw new RuntimeException("Stub!"); }

/**
 * Population refers to a collection of devices that specific task groups can run on. It should
 * match task plan configured at remote federated compute server.

 * @return This value cannot be {@code null}.
 */

@android.annotation.NonNull
public java.lang.String getPopulationName() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }
}

