/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.app.appfunctions;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class AppFunctionException extends java.lang.Exception implements android.os.Parcelable {

public AppFunctionException(int errorCode, @android.annotation.Nullable java.lang.String errorMessage) { throw new RuntimeException("Stub!"); }

public AppFunctionException(int errorCode, @android.annotation.Nullable java.lang.String errorMessage, @android.annotation.NonNull android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public int getErrorCategory() { throw new RuntimeException("Stub!"); }

public int getErrorCode() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getErrorMessage() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getExtras() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.appfunctions.AppFunctionException> CREATOR;
static { CREATOR = null; }

public static final int ERROR_APP_UNKNOWN_ERROR = 3000; // 0xbb8

public static final int ERROR_CANCELLED = 2001; // 0x7d1

public static final int ERROR_CATEGORY_APP = 3; // 0x3

public static final int ERROR_CATEGORY_REQUEST_ERROR = 1; // 0x1

public static final int ERROR_CATEGORY_SYSTEM = 2; // 0x2

public static final int ERROR_CATEGORY_UNKNOWN = 0; // 0x0

public static final int ERROR_DENIED = 1000; // 0x3e8

public static final int ERROR_DISABLED = 1002; // 0x3ea

public static final int ERROR_ENTERPRISE_POLICY_DISALLOWED = 2002; // 0x7d2

public static final int ERROR_FUNCTION_NOT_FOUND = 1003; // 0x3eb

public static final int ERROR_INVALID_ARGUMENT = 1001; // 0x3e9

public static final int ERROR_SYSTEM_ERROR = 2000; // 0x7d0
}

